Skip to content
Newer
Older
100644 22 lines (16 sloc) 873 Bytes
4bc2cbc @stefanpenner Load RAILS_VERSION relative to the gemspec file.
stefanpenner authored
1 version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
f221a6f @brynary Leverage VERSION constants from gemspecs to avoid tedious updates whe…
brynary authored
2
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored
3 Gem::Specification.new do |s|
031139b @dhh Homogenize gemspecs and remove the deprecated autorequire
dhh authored
4 s.platform = Gem::Platform::RUBY
5 s.name = 'activesupport'
deb00bc @brynary Read Rails version from a file instead of modifying the load path and…
brynary authored
6 s.version = version
56ea206 @jeremy Wordsmith gem descriptions
jeremy authored
7 s.summary = 'A toolkit of support libraries and Ruby core extensions extracted from the Rails framework.'
5c40c26 @jeremy Stray line. Typo.
jeremy authored
8 s.description = 'A toolkit of support libraries and Ruby core extensions extracted from the Rails framework. Rich support for multibyte strings, internationalization, time zones, and testing.'
d956003 @dhh Neat and tidy, I say
dhh authored
9
5fe3dc4 @mikel Adding ruby version spec to all gemspec files to at least 1.8.7
mikel authored
10 s.required_ruby_version = '>= 1.8.7'
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored
11
d5646e8 @josevalim Move I18n dependency back to ActiveSupport.
josevalim authored
12 s.author = 'David Heinemeier Hansson'
13 s.email = 'david@loudthinking.com'
14 s.homepage = 'http://www.rubyonrails.org'
f095e6f Fixes some problems with getting a new app working
Yehuda Katz authored
15
d16c5cc @spastorino Change some missing README -> README.rdoc
spastorino authored
16 s.files = Dir['CHANGELOG', 'README.rdoc', 'lib/**/*']
897b9ac @josh Make activesupport.gemspec the authoritative source instead of genera…
josh authored
17 s.require_path = 'lib'
b246218 @joshk remove MultiJson from the Gemfile and instead add the current rc to t…
joshk authored
18
d5646e8 @josevalim Move I18n dependency back to ActiveSupport.
josevalim authored
19 s.add_dependency('i18n', '~> 0.6.0beta1')
85b8a88 @josevalim Relax this dependency a bit.
josevalim authored
20 s.add_dependency('multi_json', '~> 1.0')
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored
21 end
Something went wrong with that request. Please try again.